std::__detail::_Hash_code_base< _Key, _Value, _ExtractKey, _H1, _H2, _Default_ranged_hash, false > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes
Inheritance diagram for std::__detail::_Hash_code_base< _Key, _Value, _ExtractKey, _H1, _H2, _Default_ranged_hash, false >:
[legend]

## Public Types

typedef _H1 | hasher

## Public Member Functions

hasher | hash_function () const

## Protected Types

typedef std::size_t | __hash_code
typedef _Hash_node< _Value, false > | __node_type

## Protected Member Functions

| _Hash_code_base (const _ExtractKey &__ex, const _H1 &__h1, const _H2 &__h2, const _Default_ranged_hash &)
std::size_t | _M_bucket_index (const __node_type *__p, std::size_t __n) const noexcept(noexcept(declval< const _H1 & >()(declval< const _Key & >())) &&noexcept(declval< const _H2 & >()((__hash_code) 0,(std::size_t) 0)))
std::size_t | _M_bucket_index (const _Key &, __hash_code __c, std::size_t __n) const
void | _M_copy_code (__node_type *, const __node_type *) const
_ExtractKey & | _M_extract ()
const _ExtractKey & | _M_extract () const
_H1 & | _M_h1 ()
const _H1 & | _M_h1 () const
_H2 & | _M_h2 ()
const _H2 & | _M_h2 () const
__hash_code | _M_hash_code (const _Key &__k) const
void | _M_store_code (__node_type *, __hash_code) const
void | _M_swap (_Hash_code_base &__x)

## Friends

struct | _Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Default_ranged_hash, false >

## Detailed Description

### template<typename _Key, typename _Value, typename _ExtractKey, typename _H1, typename _H2>
struct std::__detail::_Hash_code_base< _Key, _Value, _ExtractKey, _H1, _H2, _Default_ranged_hash, false >

Specialization: hash function and range-hashing function, no caching of hash codes. Provides typedef and accessor required by C++ 11.

Definition at line 1252 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h